For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd additional information
      • POSTAdd bank account
      • GETList of tax documents for an employee
      • PATCHUpdate additional information
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Information

Add additional information

POST
/eor/workers/contracts/:contract_id/additional-information
POST
/rest/v2/eor/workers/contracts/:contract_id/additional-information
$curl -X POST https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "data": {
> "city": "San Francisco",
> "phone": "+1-415-555-7890",
> "street": "456 Market St",
> "zip_code": "94105",
> "tax_residence": "US",
> "is_payslip_access_allowed": true,
> "is_compliance_access_allowed": false,
> "state": "CA"
> }
> }
>}'
1{
2 "data": {
3 "updated": true
4 }
5}

Adds supplemental information fields to an EOR employee’s contract record. Token scopes: worker:write

Was this page helpful?
Previous

Add bank account

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Request

Add additional information for an EOR employee.
dataobjectRequired

Additional fields are country/state-specific and validated against the worker additional fields form for the employment country.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication